#
3.2 Module Definition Options

Several compiler options are supported:

Option | Meaning
--- | ---
-C | Tell the C pre-processor not to discard comments
-Dname=value | Define a macro
-Idir | Specify an include directory, dir
-Ldir | Specify a link-time library directory, dir
-Rdir | Specify a run-time library directory, dir
-llib | Link a library, lib
-Uname | Undefine a macro

Other compiler options can be included (snuck in) by putting them in variables.

Source files can include files with .c, .C, .cc, .cpp, .cxx, and .c++ extensions.

Other input files include files with .a, .o, .sl, and .so extensions.